// I used: http://devernay.free.fr/hacks/chip8/C8TECH10.HTM#00E0
// and https://en.wikipedia.org/wiki/CHIP-8#Opcode_table
// for information about how to implement a CHIP-8 Emulator
use chip8::emu::Chip8;
use std::path::Path;
use std::time::Duration;
fn main() {
    let mut chip8: Chip8 = Default::default();

    chip8
        .load_rom(Path::new("./games/c8games/TICTAC"))
        .expect("Unable to load ROM");

    loop {
        chip8.execute_cycle();

        std::thread::sleep(Duration::from_millis(300));
    }
}
